Name: verco
Version: 6.11.0
Release: 1%{?dist}
Summary: Simple git/hg tui client focused on keyboard shortcuts 

License: MIT
URL: https://github.com/vamolessa/verco
Source0: %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

%if 0%{?el8}
%else
BuildRequires: cargo >= 1.39
BuildRequires: rust >= 1.39
%endif
BuildRequires: gcc

%description
A simple Git/Hg tui client focused on keyboard shortcuts.


%prep
%autosetup -p1
%if 0%{?el8}
    curl https://sh.rustup.rs -sSf | sh -s -- --profile minimal -y
%endif

# Set codegen-units to 1
echo -e '\n[profile.release]' >> Cargo.toml
echo 'codegen-units = 1' >> Cargo.toml


%install
export CARGO_PROFILE_RELEASE_BUILD_OVERRIDE_OPT_LEVEL=3

%if 0%{?el8}
    $HOME/.cargo/bin/cargo install --root=%{buildroot}%{_prefix} --path=.
%else
    cargo install --root=%{buildroot}%{_prefix} --path=.
%endif

rm -f %{buildroot}%{_prefix}/.crates.toml \
    %{buildroot}%{_prefix}/.crates2.json
strip --strip-all %{buildroot}%{_bindir}/*


%files
%license LICENSE
%doc README.md
%{_bindir}/%{name}


%changelog
* Wed Apr 27 2022 Artem Polishchuk <ego.cordatus@gmail.com> - 6.11.0-1
- chore(update): 6.11.0

* Thu Oct 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 6.7.0-1
- chore(update): 6.7.0

* Wed Oct 13 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 6.6.0-1
- chore(update): 6.6.0

* Wed Sep 15 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 6.5.4-1
- build(update): 6.5.4

* Tue Sep 14 2021 Artem Polishchuk <ego.cordatus@gmail.com> - 6.5.3-1
- build(update): 6.5.3

* Sat Dec 19 2020 Artem Polishchuk <ego.cordatus@gmail.com> - 5.5.1-1
- Initial package
